import matplotlib.pyplot as plt
from IPython.display import Image 
from PIL import ImageGrab


def clipboard(filename, display=True, w=500):
    imgname = "%s.png" % filename
    im = ImageGrab.grabclipboard()
    path = "pspice/images/"
    im.save(path + imgname,'PNG')
    if display == True:
        return Image(path + imgname, width=w)
    
def plot2b(VCC, ICsat, VCE, IC):
    plt.figure()
    plt.plot([0,VCC], [ICsat*1e3, 0], 'k')
    plt.plot(VCE, IC*1e3, 'ro')
    plt.grid(True)
    plt.xlabel("VCE [V]")
    plt.ylabel("IC [mA]")
    
def screenshot(osc, filename, display=False):
    imgname = "%s.png" % filename
    osc.write("save:image:fileformat png")
    osc.write("hardcopy:layout portrait")
    osc.write("hardcopy start")
    imagedata = osc.read_raw()
    path = "Tektronix/screenshots/"
    f = open(path + imgname,'wb')
    f.write(imagedata)
    f.close()
    if display == True:
        return Image(path + imgname, width=600)

